Page MenuHomeFreeBSD

lang/sbcl: update to 1.3.13
ClosedPublic

Authored by ler on Jan 14 2017, 10:51 PM.

Details

Summary

Update lang/sbcl to 1.3.13
Give MAINTAINERship to submitter, modernize port.

PR: 215866
Submitted by: Pavel Volkov (pavelivolkov gmail com)
Approved by: (adamw|rene) (mentor)

Test Plan

poudriere (ok)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ler retitled this revision from to lang/sbcl: update to 1.3.13.
ler updated this object.
ler edited the test plan for this revision. (Show Details)
ler added reviewers: adamw, rene.
lang/sbcl/Makefile
59 ↗(On Diff #24008)

What is the circumstance under which PREFIX would be defined, but not LOCALBASE? I don't like this block... previously-installed stuff should be in LOCALBASE, not PREFIX.

73 ↗(On Diff #24008)

This block doesn't make any sense either. It changes depending upon what's installed before make config is run. In poudriere, NONE of them will be installed. Pick one, and make it the default. This block is so clever that it won't work.

132 ↗(On Diff #24008)

Not right, because it discards the environment.

Alternatives:

DOCS_ALL_TARGET=    all info html
post-build-DOCS-on:
    ${DO_MAKE_BUILD} -C ${WRKSRC}/doc/manual info html
147 ↗(On Diff #24008)

What's with all the quoted paths?

150 ↗(On Diff #24008)

No. OPTIONS handles this already.

152 ↗(On Diff #24008)

How many different ways is this planning on being called?

ler marked 4 inline comments as done.Jan 14 2017, 11:24 PM

addressed comments

ler marked an inline comment as done.Jan 14 2017, 11:59 PM

Addressed all comments, except the test comment, I'm not a lisp guy
so I don't know enough about how their test suite is done.

poudriere log:
http://home.lerctr.org:8888/data/pHEADamd64-ler-checkout/2017-01-14_17h56m18s/logs/sbcl-1.3.13,1.log

lang/sbcl/Makefile
64 ↗(On Diff #24013)

No. Take that whole thing out. OPTIONS_DEFAULT should not be changing based on things that won't exist at options-time in poudriere.

120 ↗(On Diff #24013)

Either DOCS_ALL_TARGET, or this, not both.

ler marked 2 inline comments as done.Jan 15 2017, 12:20 AM

addressed -- poudriere run to validate running.

Remove quotes from post-install, remove bsd.options.mk.

unquote ${WRKSRC}, kill tab after RENAME_VARS_OFF=

Kill tabs after OPTIONS_DEFINE, OPTIONS_DEFAULT, Upper-case initial characters of
RENAME_DESC, SAFEPOINT_DESC.

Add back one tab for OPTIONS_DEFINE, and update SBCL_DESC.

adamw edited edge metadata.

Phew! Good work, Larry!

This revision is now accepted and ready to land.Jan 15 2017, 1:00 AM
ler edited edge metadata.

Sort OPTIONS helpers

This revision now requires review to proceed.Jan 15 2017, 1:03 AM
lang/sbcl/Makefile
89 ↗(On Diff #24019)

This should be up at line 68. But really, it should be this:

RENAME_PLIST_SUB=    RENAME_DLM="_"
RENAME_PLIST_SUB_OFF= RENAME_DLM="."
ler edited edge metadata.

Sort OPTIONS helpers, and OPTIONS_DEFINE

adamw edited edge metadata.
This revision is now accepted and ready to land.Jan 15 2017, 1:30 AM
This revision was automatically updated to reflect the committed changes.

This port needs more work.
The proper bootstrap procedure was removed (using an existing bootstrap compiler listed in distinfo).
The effect is that the previous version built on DragonFly, but now it doesn't. CCl is a FreeBSD-only port.

What needs to happen is the SBCL option needs to change to loading a bootstrap compiler, not using "sbcl" from the installed host, which is really unacceptable in the age of poudriere and synth. We don't encourage "live" building anymore.

FYI, that wasn't a rhetorical comment.
This port needs to have the sbcl bootstrap returned (and be the default build approach IMO).

The maintainer should be notified.
I might fix it myself; somebody has it.

I think DF should have been contacted during the review because there was a clear special handling for DF there, so a complete revamp of the build should have raised flags.